Imports affiliate items.
curl --request POST \
--url https://api.example.com/api/v1/affiliate/import \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"externalId": "<string>",
"email": "<string>",
"username": "<string>",
"name": "<string>",
"balance": 123,
"paid": 123,
"website": "<string>",
"companyName": "<string>",
"companyNumber": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"postcode": "<string>"
}
]
}
'import requests
url = "https://api.example.com/api/v1/affiliate/import"
payload = { "items": [
{
"externalId": "<string>",
"email": "<string>",
"username": "<string>",
"name": "<string>",
"balance": 123,
"paid": 123,
"website": "<string>",
"companyName": "<string>",
"companyNumber": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"postcode": "<string>"
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
externalId: '<string>',
email: '<string>',
username: '<string>',
name: '<string>',
balance: 123,
paid: 123,
website: '<string>',
companyName: '<string>',
companyNumber: '<string>',
addressLine1: '<string>',
addressLine2: '<string>',
city: '<string>',
region: '<string>',
country: '<string>',
postcode: '<string>'
}
]
})
};
fetch('https://api.example.com/api/v1/affiliate/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"numImported": 123,
"numDuplicates": 123,
"numFailed": 123,
"firstFailureId": "<string>",
"firstFailureMessage": "<string>"
}Affiliate
Imports affiliate items.
POST
/
api
/
v1
/
affiliate
/
import
Imports affiliate items.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Headers
Body
application/jsontext/jsonapplication/*+json
Affiliate items.
Show child attributes
Show child attributes
⌘I